{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:allay_spawn_egg",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_name": {
                  "translate": "block.overlyrealistic.filled_hardened_clay_mold",
                  "fallback": "Filled Hardened Clay Mold ",
                  "color": "white",
                  "extra": [
                    {
                      "translate": "block.overlyrealistic.hardened_clay_mold_suffix_pickaxe_head",
                      "fallback": "[Pickaxe Head]",
                      "color": "gray"
                    }
                  ]
                },
                "lore": [
                  {
                    "translate": "block.overlyrealistic.hardened_clay_mold_lore_melted_copper_fragments",
                    "fallback": "[Melted Copper Fragments]",
                    "color": "gray",
                    "italic": false
                  }
                ],
                "minecraft:entity_data": {
                  "Tags": [
                            "OverlyRealistic.Block.IsCustomBlockMarker",
                            "OverlyRealistic.Block.HardenedClayMold_HasMoldType",
                            "OverlyRealistic.Block.HardenedClayMold_HasContents"
                          ],
                  "id": "minecraft:marker",
                  "data": {
                    "placement_function": "overly_realistic:general/custom_blocks/hardened_clay_mold/hardened_clay_mold_pre_placed",
                    "IsCustomBlock": "hardened_clay_mold",
                    "clay_mold_type": "pickaxe_head",
                    "mold_contents": "melted_copper_fragments",
                    "cooled_contents": "copper"
                  }
                },
                "minecraft:custom_data": {
                  "IsCustomBlock": "hardened_clay_mold",
                  "or_is_custom_block": true,
                  "or_edited_item": true,
                  "or_requires_tongs": true,
                  "or_burns_players": true
                },
                "max_stack_size": 1,
                "item_model": "overlyrealistic:blocks/hardened_clay_molds/melted_copper_fragments/hardened_clay_mold_pickaxe_head"
              }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}